/*************************************************************
Generated for IBM Rational Systems Tester 3.3.0.2.17499 at Tue Apr 27 05:07:51 PM MEST 2010
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2010.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/
/*---------------------------------------------------------------------------
 * File Name: t3rts_activationlists.h
 */

#ifndef __t3rts_activationlists_h
#define __t3rts_activationlists_h

#ifdef __cplusplus
extern "C" {
#endif

#include "t3rts_common.h"
#include "t3rts_memory.h"
#include "t3rts_values_general.h"
#include "t3rts_control.h"


typedef enum t3rt_activation_list_result_internal_t {
    t3rt_activation_list_successful_proceed_c,
    t3rt_activation_list_successful_repeat_c,
    t3rt_activation_list_unsuccessful_c
} t3rt_activation_list_result_t;




/*
 * Adds test step with parameters to the end of the activation list
 * Returns default reference value for usage in 't3rt_deactivate'
 */

t3rt_value_t
t3rt_activate (const char * module_name, 
               const char * test_step_name,
               unsigned long params_count, 
               t3rt_value_t params [],
               t3rt_alloc_strategy_t strategy,
               t3rt_context_t context);



/*
 * Removes test step, corresponding to the default reference, from the activation list
 */

void
t3rt_deactivate (const t3rt_value_t default_ref,
                 t3rt_context_t context);




/*
 * Calls defaults from the activation list in the order they were added
 */

t3rt_activation_list_result_t
t3rt_activation_list_invoke (t3rt_context_t context);


#ifdef __cplusplus
}
#endif

#endif

/* End of File */

