/*************************************************************
Generated for IBM Rational Systems Tester 3.3.0.2.17499 at Tue Apr 27 05:07:51 PM MEST 2010
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2010.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/
/*---------------------------------------------------------------------------
 * File Name: t3rts_context.h
 */

#ifndef __t3rts_context_h
#define __t3rts_context_h

#ifdef __cplusplus
extern "C" {
#endif

#include <setjmp.h>
#include "t3rts_context_decl.h"
#include "t3rts_logging.h"
#include "t3rts_types.h"
#include "t3rts_binarystrings.h"
#include "t3rts_values_general.h"
#include "t3rts_activationlists.h"
#include "t3rts_sourcetracking.h"


typedef void (* t3rt_context_cleanup_function_t) (t3rt_context_t ctx);

extern const t3rt_context_t     t3rt_no_context_c;


/***************

  Public access functions

  *******************/

t3rt_type_t
t3rt_context_get_component_type(t3rt_context_t ctx);

t3rt_binary_string_t
t3rt_context_get_component_address(t3rt_context_t ctx);

const char*
t3rt_context_get_component_name(t3rt_context_t ctx);


#ifdef __cplusplus
}
#endif

#endif

/* End of File */

