/*************************************************************
Generated for IBM Rational Systems Tester 3.3.0.2.17499 at Tue Apr 27 05:07:51 PM MEST 2010
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2010.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/
/*---------------------------------------------------------------------------
 * File Name: t3rts_errorhandling.h
 */

#ifndef __t3rts_errorhandling_h
#define __t3rts_errorhandling_h

#ifdef __cplusplus
extern "C" {
#endif

#include "t3rts_common.h"
#include "t3rts_binarystrings.h"
#include "t3rts_widestrings.h"
#include "t3rts_localization.h"
#include "t3rts_context.h"

/*
 *  Error messages are located in the t3rts_errormessages.h file.
 */
#include "t3rts_errormessages.h"


typedef struct t3rt_error_description_internal_t {
            long            error_code;
            const char *    error_message;
            const char *    detailed_description;
        } t3rt_error_description_t;


void
t3rt_report_fatal_system_error (t3rt_error_description_t err, 
                                t3rt_context_t context);


void
t3rt_report_error(unsigned long line, const char* file, t3rt_wide_string_t err_msg, 
                  t3rt_context_t ctx);

/*************************************************************************
* This function performs runtime check of dereferenced pointer
* If pointer is null then provided error is posted and NULL is returned
* Otherwise passed pointer is returned 
* Function is mainly used by compiler
*************************************************************************/
void *
t3rt__assert_non_null(void *ptr,
                      unsigned long line,
                      const char* file, 
                      t3rt_wide_string_t err_msg, 
                      t3rt_context_t ctx);

#ifdef __cplusplus
}
#endif

#endif

/* End of File */

