/*************************************************************
Generated for IBM Rational Systems Tester 3.3.0.2.17499 at Tue Apr 27 05:07:51 PM MEST 2010
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2010.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/
/*---------------------------------------------------------------------------
 * File Name: t3rts_msc2k_event_log.h
 */

#ifndef __t3rts_msc2k_event_logging_h
#define __t3rts_msc2k_event_logging_h

#ifdef __cplusplus
extern "C" {
#endif

#include "t3rts_logging.h"

#define t3rt_msc_log_mechanism_c "t3_msc96_tracer"


typedef char entryK[201];

typedef struct Instance{
	const char		Name;
	int				length;
	entryK			myLine[500];
}Instance;

typedef struct MscPr{
	const char		*Name;
	const char		*InstName[50];
	Instance		inst[50];
}MscPr;

void t3rt__msc2k_event_log_init(t3rt_log_mechanism_t log_mechanism,
                                t3rt_context_t context);

void t3rt__msc2k_event_log_open(t3rt_log_t log, 
                              t3rt_context_t ctx);


void 
t3rt__msc2k_event_log_close(t3rt_log_t log, t3rt_context_t ctx);

void 
t3rt__msc2k_event_log_event(t3rt_log_t log, 
                          t3rt_log_event_kind_t event, 
                          t3rt_source_location_t source_location,
                          t3rt_value_t params[], 
                          t3rt_binary_string_t origin,
                          const char *origin_name,
                          t3rt_boolean_t forwarded,
                          t3rt_binary_string_t aux,
                          t3rt_context_t ctx);
void
t3rt_init_filename_for_logging_pr(t3rt_context_t ctx);
void
t3rt_write_MSC_to_file(void);

void
t3rt_msc2k_genInMess(const char* nameK, t3rt_binary_string_t remoteK, int instK, int msgK);

void
t3rt_msc2k_genOutMess(const char* nameK, t3rt_binary_string_t remoteK, int instK, int msgK);

void 
t3rt_msc2k_genTimerStart(const char* nameK, t3rt_context_t ctx);


void 
t3rt_msc2k_genTimerStop(const char* nameK, t3rt_context_t ctx);

void 
t3rt_msc2k_genTimerTimedOut(const char* nameK, t3rt_context_t ctx);

void
t3rt_register_msc2k_log_mechanism (void);

#ifdef __cplusplus
}
#endif

#endif

/* End of File */

