/*************************************************************
Generated for IBM Rational Systems Tester 3.3.0.2.17499 at Tue Apr 27 05:07:51 PM MEST 2010
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2010.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/
/*---------------------------------------------------------------------------
 * File Name: t3rts_postmortem_event_log.h
 */

#ifndef __t3rts_postmortem_event_logging_h
#define __t3rts_postmortem_event_logging_h

#ifdef __cplusplus
extern "C" {
#endif

#include "t3rts_logging.h"

#define t3rt_postmortem_log_mechanism_c "t3_postmortem"


void t3rt__postmortem_event_log_init(t3rt_log_mechanism_t log_mechanism,
                                     t3rt_context_t context);

void t3rt__postmortem_event_log_open(t3rt_log_t log, 
                              t3rt_context_t ctx);


void 
t3rt__postmortem_event_log_close(t3rt_log_t log, t3rt_context_t ctx);

void 
t3rt__postmortem_event_log_event(t3rt_log_t log, 
                          t3rt_log_event_kind_t event, 
                          t3rt_source_location_t source_location,
                          t3rt_value_t params[], 
                          t3rt_binary_string_t origin,
                          const char *origin_name,
                          t3rt_boolean_t forwarded,
                          t3rt_binary_string_t aux,
                          t3rt_context_t ctx);
void
t3rt_init_filename_for_logging_pm(void);

void
t3rt_register_postmortem_log_mechanism (void);

#ifdef __cplusplus
}
#endif

#endif

/* End of File */

