/*************************************************************
Generated for IBM Rational Systems Tester 3.3.0.2.17499 at Tue Apr 27 05:07:51 PM MEST 2010
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2010.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/
/*---------------------------------------------------------------------------
 * File Name: t3rts_templates.h
 */

#ifndef __t3rts_templates_h
#define __t3rts_templates_h

#ifdef __cplusplus
extern "C" {
#endif

#include "t3rts_common.h"

                               
t3rt_value_t
t3rt_template_set_value(t3rt_value_t template_value,
                      t3rt_value_t rhs_value,
                      t3rt_boolean_t may_be_omitted,
                      t3rt_context_t context);

                          
t3rt_value_t
t3rt_template_set_value_range(t3rt_value_t template_value,
                           t3rt_value_t lb_value,
                           t3rt_value_t ub_value,
                           t3rt_boolean_t may_be_omitted,
                           t3rt_context_t context);

                                    
t3rt_value_t
t3rt_template_set_value_list(t3rt_value_t template_value,
                          t3rt_value_t value_list[],
                          unsigned long length,
                          t3rt_value_list_kind_t kind,
                          t3rt_boolean_t may_be_omitted,
                          t3rt_context_t context);
                             
t3rt_value_t
t3rt_template_set_length_constraint(t3rt_value_t template_value,
                                t3rt_value_t min_length,
                                t3rt_value_t max_length,
                                t3rt_context_t context);

                             
t3rt_value_t
t3rt_template_set_string_pattern(t3rt_value_t template_value,
                                 t3rt_value_t pattern,
                                 t3rt_boolean_t may_be_omitted,
                                 t3rt_context_t context);


/* permutates elements inside dynamic template */
void
t3rt_template_set_permutation(t3rt_value_t template_value, 
                              const unsigned long start_index, 
                              const unsigned long size, 
                              t3rt_context_t context);

#ifdef __cplusplus
}
#endif

#endif

/* End of File */

