/*************************************************************
Generated for IBM Rational Systems Tester 3.3.0.2.17499 at Tue Apr 27 05:07:51 PM MEST 2010
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2010.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/
/*---------------------------------------------------------------------------
 * File Name: tci_cd_provided.h
 *
 * Description:
 *      This file declares TCI CD provided functions
 */
 
#ifndef __tci_cd_provided_h
#define __tci_cd_provided_h

#ifdef __cplusplus
extern "C" {
#endif

#include "tci_conditional.h"


                                           /* TCI-CD operations provided to TE */

/* Value decode (in TriMessageType message,  in Type decodingHypothesis)	
 * This operations decodes message according to the encoding rules and returns a TTCN-3 value. 
 * The decodingHypothesis shall be used to determine whether the encoded value can be decoded. 
 * If an encoding rule is not self-sufficient, 
 * i.e. if the encoded message does not inherently contain its type decodingHypothesis shall be used. 
 * If the encoded value can be decoded without the decoding hypothesis, 
 * the distinct null value shall be returned if the type determined from the encoded message 
 * is not compatible with the decoding hypothesis.
*/


TciValue T3TCI(tciDecode)(IDL_ATTRIB(in) BinaryString message, 
						  IDL_ATTRIB(in) TciType decHypothesis);

/* TriMessageType encode (in Value value)	
 * Returns an encoded TriMessage according to the encoding rules.
*/

BinaryString T3TCI(tciEncode) (IDL_ATTRIB(in) TciValue value);	

#ifdef __cplusplus
}
#endif

#endif
