/*---------------------------------------------------------------------------
 * File Name: example_concurrency.h
 *
 * 2010 IBM Corporation
 * 
 * Description:
 * 	   This is an example implementation of the concurrency part of the
 * Platform Layer.
 */


#ifndef __example_concurrency_h
#define __example_concurrency_h

#ifdef __cplusplus
extern "C" {
#endif


#include "t3rts.h"
#include "example_components.h"

void
ex_concurrency_testcase_terminated (t3rt_context_t context);

void 
ex_thread_sleep (unsigned long millisec_delay,
                 t3rt_context_t ctx);

void 
ex_task_destroy_task_info(ex_task_info_t *info, t3rt_context_t ctx);

#ifdef __cplusplus
}
#endif

#endif


/* End of File */

