# Generated for IBM Rational Systems Tester 3.3.0.2.17499 at Tue Apr 27 05:07:51 PM MEST 2010
# Licensed Materials - Property of IBM 
#  Copyright IBM Corporation 2002,2010.  All Rights Reserved.
# 
# U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#This script defines two new commands:
#	foreachRole : same as MapRole with a loop
#	ListRole : same as GetRole with a list

# NEW GOODIES
proc _foreachRoleIteration {resultName varName script obj} {
   uplevel 2 [list set $varName $obj]
   switch -- [set r [catch {uplevel 2 $script} res]] {
       0 {
	   # success
	   uplevel 1 [list set $resultName $res]
	   return 1
       }
       1 {
	   # error
	   global errorCode errorInfo
	   return -code error -errorinfo $errorInfo -errorcode $errorCode
       }
       2 {
	   # return
	   return -code return $res
      }
       3 {
	   # break
	   uplevel 1 [list set $resultName $res]
	   return 0
      }
       4 {
	   # continue
	   uplevel 1 [list set $resultName $res]
	   return 1
      }
       default {
	   # unknown: pass it up
	   return -code $r $res
       }
   }
}

proc foreachRole {varName obj roleName script} {
    set r {}
    MapRole $obj $roleName [list _foreachRoleIteration r $varName $script]
    set r
}

proc _appendRole {list obj} {
   uplevel 1 [list lappend $list $obj]
   return 1
}

proc ListRole {obj roleName} {
   set r {}
   MapRole $obj $roleName [list _appendRole r]
   set r
}

