using System;
using System.Collections.Generic;
using System.Text;

namespace TestExecutor
{
    class TestCaseNode : System.Windows.Forms.TreeNode
    {
        string _moduleName;

        public string ModuleName
        {
            get { return _moduleName; }
            set { _moduleName = value; }
        }
        string _testCaseName;

        public string TestCaseName
        {
            get { return _testCaseName; }
            set { _testCaseName = value; }
        }

        public TestCaseNode(string moduleName, string testCaseName)
        {
            ModuleName = moduleName;
            TestCaseName = testCaseName;

            base.Text = testCaseName + "()";
        }
    }
}
