/**************************************************************
 *
 *  VTT Information Technology
 *  P.O. box 1202
 *  FIN-02044 VTT
 *  FINLAND
 *
 *  CVOPS Source Code Control System, 22.2.1995
 *
 *  $Id: basic.typ,v 2.2 2004/03/01 13:39:02 pon Exp $
 *
 **************************************************************/

#ifndef BASIC_TYP
#define BASIC_TYP


#ifndef ENV_DEF
#  include "env.def"
#endif

/* All basic types, define these according to your machine.
   Use only these as basic types!
*/
#if INT_IS_32_BITS
/* Unix, Vax, ... */
typedef unsigned int       uint32;
typedef signed int         sint32;
typedef unsigned short int uint16;
typedef signed short int   sint16;
typedef unsigned char      uint8;
typedef signed char        sint8;
#endif
#if INT_IS_16_BITS
/* for example MSDOS ... */
typedef unsigned long int  uint32;
typedef signed long int    sint32;
typedef unsigned int       uint16;
typedef signed int         sint16;
typedef unsigned char      uint8;
typedef signed char        sint8;
#endif

/* for historical compatibility ... */
typedef uint8   UINT8;
typedef uint16	UINT16;
#ifndef WIN32_GCC_NOINT32
typedef uint32	UINT32;
#endif
typedef sint8   INT8;
typedef sint16	INT16; /* 16 bit integer */
#ifndef WIN32_GCC_NOINT32
typedef sint32	INT32; /* 32 bit integer */
#endif



typedef sint16  INDEX; /* for table manipulations */

typedef char   BOOLE; /* Boolean type for truth values */

typedef unsigned char BYTE_TYPE;

typedef void (*Any_func_ptr)(void);
#endif
