/**************************************************************
 *
 *  VTT Information Technology
 *  P.O. box 1202
 *  FIN-02044 VTT
 *  FINLAND
 *
 *  CVOPS Source Code Control System, 22.2.1995
 *
 *  $Id: exttypes.typ,v 2.0 2002/05/15 17:42:57 sevimo Exp $
 *
 **************************************************************/



#ifndef EXTTYPES_TYP
#define EXTTYPES_TYP


/*   EXTTYPES.TYP    VERSION 3.19              4.9.1989
 *
 *   THESE DEFINITIONS ARE USED IN THE FOLLOWING MODULES:
 *
 *       All modules
 *
 *   MODIFICATIONS TO VERSION 3.0 :
 *
 */


/* New exttypes !!! New exttypes will be included only by
   those protocol files and assoc.c which have been implemented
   with old CVOPS versions (3.0 or older).
*/

#ifndef ENVIRO_DEF
#include "enviro.def"
#endif
#ifndef BASIC_TYP
#include "basic.typ"
#endif
#ifndef GENERAL_DEF
#include "general.def"
#endif


#if STAND_ALONE_ASN == 0
#ifndef ADDRESS_EXT
#include "address.ext"
#endif
#ifndef CONNECTS_EXT
#include "connects.ext"
#endif
#ifndef INIT_EXT
#include "init.ext"
#endif
#ifndef VTASK_EXT
#include "vtask.ext"
#endif
#ifndef MESSAGES_EXT
#include "messages.ext"
#endif
#endif /*STAND_ALONE_ASN == 0*/

#if CASN_USED
#ifndef FRAME_EXT
#include "frame.ext"
#endif
#endif


#endif  /* EXTTYPES_TYP */
