/*************************************************************
Generated for IBM Rational Systems Tester 3.3.0.2.17499 at Tue Apr 27 05:07:51 PM MEST 2010
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2010.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/
/*---------------------------------------------------------------------------
 * File Name: t3rts_event_logging.h
 */

/*
$Id: t3rts_event_logging.h,v 2.25 2007/03/07 15:17:37 x-rupaya Exp $
*/

#ifndef __t3rt_event_logging_h__
#define __t3rt_event_logging_h__

#ifdef __cplusplus
extern "C" {
#endif

typedef enum t3rt_log_predefined_event_kind_internal_t 
{
  t3rt_log_event_message_sent_c,                  /* t3rt_port_send (unicast) */
  t3rt_log_event_sut_message_sent_c,              /* t3rt_port_send (unicast) */
  t3rt_log_event_message_sent_failed_c,           /* t3rt_port_send (unicast) */
  t3rt_log_event_sut_message_sent_failed_c,       /* t3rt_port_send (unicast) */
  
  t3rt_log_event_message_sent_mc_c,               /* t3rt_port_send (multicast) */
  t3rt_log_event_sut_message_sent_mc_c,           /* t3rt_port_send (multicast) */
  t3rt_log_event_message_sent_failed_mc_c,        /* t3rt_port_send (multicast) */
  t3rt_log_event_sut_message_sent_failed_mc_c,    /* t3rt_port_send (multicast) */
  
  t3rt_log_event_message_sent_bc_c,               /* t3rt_port_send (broadcast) */
  t3rt_log_event_sut_message_sent_bc_c,           /* t3rt_port_send (broadcast) */
  t3rt_log_event_message_sent_failed_bc_c,        /* t3rt_port_send (broadcast) */
  t3rt_log_event_sut_message_sent_failed_bc_c,    /* t3rt_port_send (broadcast) */
  
  t3rt_log_event_message_detected_c,              /* t3rt_port_insert_message */
  t3rt_log_event_sut_message_detected_c,          /* t3rt_port_insert_message */
  t3rt_log_event_message_received_c,              /* t3rt_port_try_receive */
  t3rt_log_event_sut_message_received_c,          /* t3rt_port_try_receive */
  t3rt_log_event_message_found_c,                 /* t3rt_port_try_receive */
  t3rt_log_event_sut_message_found_c,             /* t3rt_port_try_receive */
  
  t3rt_log_event_message_discarded_c,             /* t3rt_port_try_trigger */
  t3rt_log_event_sut_message_discarded_c,         /* t3rt_port_try_trigger */
  
  t3rt_log_event_sut_action_performed_c,          /* t3rt_port_sut_action */
  
  t3rt_log_event_call_initiated_c,                /* t3rt_port_call */
  t3rt_log_event_sut_call_initiated_c,            /* t3rt_port_call */
  t3rt_log_event_call_failed_c,                   /* t3rt_port_call */
  t3rt_log_event_sut_call_failed_c,               /* t3rt_port_call */

  t3rt_log_event_call_initiated_mc_c,             /* t3rt_port_call */
  t3rt_log_event_sut_call_initiated_mc_c,         /* t3rt_port_call */
  t3rt_log_event_call_failed_mc_c,                /* t3rt_port_call */
  t3rt_log_event_sut_call_failed_mc_c,            /* t3rt_port_call */

  t3rt_log_event_call_initiated_bc_c,             /* t3rt_port_call */
  t3rt_log_event_sut_call_initiated_bc_c,         /* t3rt_port_call */
  t3rt_log_event_call_failed_bc_c,                /* t3rt_port_call */
  t3rt_log_event_sut_call_failed_bc_c,            /* t3rt_port_call */
  
  t3rt_log_event_call_timed_out_c,                /* t3rt_port_call */
  t3rt_log_event_sut_call_timed_out_c,            /* t3rt_port_call */
  
  t3rt_log_event_call_detected_c,                 /* t3rt_port_insert_message */
  t3rt_log_event_sut_call_detected_c,             /* t3rt_port_insert_call */
  t3rt_log_event_call_received_c,                 /* t3rt_port_try_getcall */
  t3rt_log_event_sut_call_received_c,             /* t3rt_port_try_getcall */
  t3rt_log_event_call_found_c,                    /* t3rt_port_try_getcall */
  t3rt_log_event_sut_call_found_c,                /* t3rt_port_try_getcall */
  
  t3rt_log_event_reply_sent_c,                    /* t3rt_port_reply */
  t3rt_log_event_sut_reply_sent_c,                /* t3rt_port_reply */
  t3rt_log_event_reply_failed_c,                  /* t3rt_port_reply */
  t3rt_log_event_sut_reply_failed_c,              /* t3rt_port_reply */

  t3rt_log_event_reply_sent_mc_c,                 /* t3rt_port_reply */
  t3rt_log_event_sut_reply_sent_mc_c,             /* t3rt_port_reply */
  t3rt_log_event_reply_failed_mc_c,               /* t3rt_port_reply */
  t3rt_log_event_sut_reply_failed_mc_c,           /* t3rt_port_reply */

  t3rt_log_event_reply_sent_bc_c,                 /* t3rt_port_reply */
  t3rt_log_event_sut_reply_sent_bc_c,             /* t3rt_port_reply */
  t3rt_log_event_reply_failed_bc_c,               /* t3rt_port_reply */
  t3rt_log_event_sut_reply_failed_bc_c,           /* t3rt_port_reply */
  
  t3rt_log_event_reply_detected_c,                /* t3rt_port_insert_message */
  t3rt_log_event_sut_reply_detected_c,            /* t3rt_port_insert_reply */
  t3rt_log_event_reply_received_c,                /* t3rt_port_try_getreply */
  t3rt_log_event_sut_reply_received_c,            /* t3rt_port_try_getreply */
  t3rt_log_event_reply_found_c,                   /* t3rt_port_try_getreply */
  t3rt_log_event_sut_reply_found_c,               /* t3rt_port_try_getreply */
  
  t3rt_log_event_exception_raised_c,              /* t3rt_port_raise */
  t3rt_log_event_sut_exception_raised_c,          /* t3rt_port_raise */
  t3rt_log_event_raise_failed_c,                  /* t3rt_port_raise */
  t3rt_log_event_sut_raise_failed_c,              /* t3rt_port_raise */

  t3rt_log_event_exception_raised_mc_c,           /* t3rt_port_raise */
  t3rt_log_event_sut_exception_raised_mc_c,       /* t3rt_port_raise */
  t3rt_log_event_raise_failed_mc_c,               /* t3rt_port_raise */
  t3rt_log_event_sut_raise_failed_mc_c,           /* t3rt_port_raise */

  t3rt_log_event_exception_raised_bc_c,           /* t3rt_port_raise */
  t3rt_log_event_sut_exception_raised_bc_c,       /* t3rt_port_raise */
  t3rt_log_event_raise_failed_bc_c,               /* t3rt_port_raise */
  t3rt_log_event_sut_raise_failed_bc_c,           /* t3rt_port_raise */
  
  t3rt_log_event_exception_detected_c,            /* t3rt_port_insert_message */
  t3rt_log_event_sut_exception_detected_c,        /* t3rt_port_insert_exception */
  t3rt_log_event_exception_caught_c,              /* t3rt__port_try_catch */
  t3rt_log_event_sut_exception_caught_c,          /* t3rt__port_try_catch */
  t3rt_log_event_exception_found_c,               /* t3rt__port_try_catch */
  t3rt_log_event_sut_exception_found_c,           /* t3rt__port_try_catch */
  
  t3rt_log_event_timeout_exception_detected_c,    /* t3rt_port_call */
  t3rt_log_event_sut_timeout_exception_detected_c,/* t3rt_port_call */
  t3rt_log_event_timeout_exception_caught_c,      /* t3rt_port_try_catch_timeout */
  t3rt_log_event_sut_timeout_exception_caught_c,  /* t3rt_port_try_catch_timeout */
  t3rt_log_event_timeout_exception_found_c,       /* t3rt_port_try_catch_timeout */
  t3rt_log_event_sut_timeout_exception_found_c,   /* t3rt_port_try_catch_timeout */
  
  t3rt_log_event_timer_started_c,           /* t3rt_timer_start */
  t3rt_log_event_timer_stopped_c,           /* t3rt_timer_stop */
  t3rt_log_event_timer_read_c,              /* t3rt_timer_read */
  t3rt_log_event_timer_is_running_c,        /* t3rt_timer_is_running */
  t3rt_log_event_timeout_detected_c,        /* t3rt_timer_timed_out */
  t3rt_log_event_timeout_received_c,        /* t3rt_timer_try_timed_out */
  t3rt_log_event_timeout_mismatch_c,        /* t3rt_timer_try_timed_out */
  t3rt_log_event_component_created_c,       /* t3rt_component_execute, t3rt_component_create */
  t3rt_log_event_component_started_c,       /* t3rt_component_start, t3rt_component_execute */
  t3rt_log_event_component_is_running_c,    /* t3rt_component_is_running */
  t3rt_log_event_component_is_alive_c,      /* t3rt_component_is_alive */
  t3rt_log_event_component_stopped_c,
  t3rt_log_event_component_killed_c,
  t3rt_log_event_component_terminated_c,
  t3rt_log_event_done_check_failed_c,
  t3rt_log_event_done_check_succeeded_c,
  t3rt_log_event_kill_check_failed_c,
  t3rt_log_event_kill_check_succeeded_c,
  t3rt_log_event_port_connected_c,          /* t3rt_component_connect_port */
  t3rt_log_event_port_disconnected_c,       /* t3rt_component_disconnect_port */
  t3rt_log_event_port_mapped_c,             /* t3rt_component_map_port */
  t3rt_log_event_port_unmapped_c,           /* t3rt_component_unmap_port */
  t3rt_log_event_port_enabled_c,            /* t3rt_port_start */
  t3rt_log_event_port_disabled_c,           /* t3rt_port_stopped */
  t3rt_log_event_port_halted_c,             /* t3rt_port_halt */
  t3rt_log_event_port_cleared_c,            /* t3rt_port_cleared */
  t3rt_log_event_scope_entered_c,           /* EXISTS BUT SHOULD BE CALLED FROM GEN.CODE */
  t3rt_log_event_scope_changed_c,           /* EXISTS BUT SHOULD BE CALLED FROM GEN.CODE */
  t3rt_log_event_scope_left_c,              /* EXISTS BUT SHOULD BE CALLED FROM GEN.CODE */
  t3rt_log_event_alternative_activated_c,
  t3rt_log_event_alternative_deactivated_c,
  t3rt_log_event_local_verdict_changed_c,   /* t3rt_component_set_local_verdict */
  t3rt_log_event_local_verdict_queried_c,   /* t3rt_component_get_local_verdict */
  t3rt_log_event_variable_modified_c,       /* t3rt_value_assign_and_log */
  t3rt_log_event_template_match_failed_c,   /* t3rt_port_try_receive, t3rt_port_try_trigger,
                                               t3rt_port_try_getcall, t3rt_port_try_getreply, t3rt_port_try_catch */
  t3rt_log_event_template_mismatch_c,       /* CALLED FROM GEN.CODE */
  t3rt_log_event_template_match_begin_c,    /* CALLED FROM GEN.CODE */
  t3rt_log_event_template_match_end_c,      /* CALLED FROM GEN.CODE */
  t3rt_log_event_testcase_started_c,        /* t3rt_component_execute */
  t3rt_log_event_testcase_ended_c,          /* t3rt_component_execute */
  t3rt_log_event_testcase_timed_out_c,
  t3rt_log_event_testcase_verdict_c,        /* t3rt_component_execute */
  t3rt_log_event_testcase_error_c,
  t3rt_log_event_message_encoded_c,         /* t3rt_encode */
  t3rt_log_event_message_encode_failed_c,   /* t3rt_encode */
  t3rt_log_event_message_decoded_c,         /* t3rt_decode */
  t3rt_log_event_message_decode_failed_c,   /* t3rt_decode */

  t3rt_log_event_info_message_c,            /* t3rt__log_text_event */
  t3rt_log_event_warning_message_c,         /* t3rt__log_text_event */
  t3rt_log_event_error_message_c,           /* t3rt__log_text_event */
  t3rt_log_event_debug_message_c,           /* t3rt__log_text_event */
  t3rt_log_event_ttcn3_message_c,           /* t3rt__log_text_event */

  t3rt_log_event_alt_entered_c,             /* entering into an alt stmt */
  t3rt_log_event_alt_left_c,                /* leaving an alt stmt */
  t3rt_log_event_alt_rejected_c,            /* an alternative is rejected due to false guard expr */
  t3rt_log_event_alt_else_c,                /* entering the else clause of an alt stmt */
  t3rt_log_event_alt_defaults_c,            /* processing the active defaults in an alt stmt */
  t3rt_log_event_alt_repeat_c,              /* 'repeat'encountered in alt stmt */
  t3rt_log_event_alt_wait_c,                /* no alternative has matched, alt stmt waits for new events */

  t3rt_log_event_sender_mismatch_c,         /* actual sender does not match 'from' restriction in receive-like op */

  t3rt_log_event_function_call_c,           /* invokation of a function */
  t3rt_log_event_external_function_call_c,  /* invokation of a external function */       
  t3rt_log_event_altstep_call_c,            /* invokation of an altstep */

  t3rt_log_event_terminator_c               /* Only used as "last element in enum...*/
} t3rt_log_predefined_event_kind_t;

/* Convenience macros as the above enumerations are usually casted: */
#define t3rt_log_kind_event_message_sent_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_sent_c
#define t3rt_log_kind_event_sut_message_sent_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_message_sent_c
#define t3rt_log_kind_event_message_sent_failed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_sent_failed_c
#define t3rt_log_kind_event_sut_message_sent_failed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_message_sent_failed_c
 
#define t3rt_log_kind_event_message_sent_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_sent_mc_c
#define t3rt_log_kind_event_sut_message_sent_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_message_sent_mc_c
#define t3rt_log_kind_event_message_sent_failed_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_sent_failed_mc_c
#define t3rt_log_kind_event_sut_message_sent_failed_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_message_sent_failed_mc_c
 
#define t3rt_log_kind_event_message_sent_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_sent_bc_c
#define t3rt_log_kind_event_sut_message_sent_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_message_sent_bc_c
#define t3rt_log_kind_event_message_sent_failed_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_sent_failed_bc_c
#define t3rt_log_kind_event_sut_message_sent_failed_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_message_sent_failed_bc_c
 
#define t3rt_log_kind_event_message_detected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_detected_c
#define t3rt_log_kind_event_sut_message_detected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_message_detected_c
#define t3rt_log_kind_event_message_received_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_received_c
#define t3rt_log_kind_event_sut_message_received_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_message_received_c
#define t3rt_log_kind_event_message_found_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_found_c
#define t3rt_log_kind_event_sut_message_found_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_message_found_c
#define t3rt_log_kind_event_message_discarded_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_discarded_c
#define t3rt_log_kind_event_sut_message_discarded_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_message_discarded_c
 
#define t3rt_log_kind_event_sut_action_performed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_action_performed_c
 
#define t3rt_log_kind_event_call_initiated_c \
 (t3rt_log_message_kind_t)t3rt_log_event_call_initiated_c
#define t3rt_log_kind_event_sut_call_initiated_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_call_initiated_c
#define t3rt_log_kind_event_call_failed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_call_failed_c
#define t3rt_log_kind_event_sut_call_failed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_call_failed_c

#define t3rt_log_kind_event_call_initiated_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_call_initiated_mc_c
#define t3rt_log_kind_event_sut_call_initiated_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_call_initiated_mc_c
#define t3rt_log_kind_event_call_failed_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_call_failed_mc_c
#define t3rt_log_kind_event_sut_call_failed_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_call_failed_mc_c
 
#define t3rt_log_kind_event_call_initiated_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_call_initiated_bc_c
#define t3rt_log_kind_event_sut_call_initiated_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_call_initiated_bc_c
#define t3rt_log_kind_event_call_failed_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_call_failed_bc_c
#define t3rt_log_kind_event_sut_call_failed_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_call_failed_bc_c
 
#define t3rt_log_kind_event_call_timed_out_c \
 (t3rt_log_message_kind_t)t3rt_log_event_call_timed_out_c
#define t3rt_log_kind_event_sut_call_timed_out_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_call_timed_out_c
 
#define t3rt_log_kind_event_call_detected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_call_detected_c
#define t3rt_log_kind_event_sut_call_detected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_call_detected_c
#define t3rt_log_kind_event_call_received_c \
 (t3rt_log_message_kind_t)t3rt_log_event_call_received_c
#define t3rt_log_kind_event_sut_call_received_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_call_received_c
#define t3rt_log_kind_event_call_found_c \
 (t3rt_log_message_kind_t)t3rt_log_event_call_found_c
#define t3rt_log_kind_event_sut_call_found_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_call_found_c
 
#define t3rt_log_kind_event_reply_sent_c \
 (t3rt_log_message_kind_t)t3rt_log_event_reply_sent_c
#define t3rt_log_kind_event_sut_reply_sent_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_reply_sent_c
#define t3rt_log_kind_event_reply_failed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_reply_failed_c
#define t3rt_log_kind_event_sut_reply_failed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_reply_failed_c

#define t3rt_log_kind_event_reply_sent_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_reply_sent_mc_c
#define t3rt_log_kind_event_sut_reply_sent_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_reply_sent_mc_c
#define t3rt_log_kind_event_reply_failed_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_reply_failed_mc_c
#define t3rt_log_kind_event_sut_reply_failed_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_reply_failed_mc_c

#define t3rt_log_kind_event_reply_sent_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_reply_sent_bc_c
#define t3rt_log_kind_event_sut_reply_sent_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_reply_sent_bc_c
#define t3rt_log_kind_event_reply_failed_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_reply_failed_bc_c
#define t3rt_log_kind_event_sut_reply_failed_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_reply_failed_bc_c
 
#define t3rt_log_kind_event_reply_detected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_reply_detected_c
#define t3rt_log_kind_event_sut_reply_detected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_reply_detected_c
#define t3rt_log_kind_event_reply_received_c \
 (t3rt_log_message_kind_t)t3rt_log_event_reply_received_c
#define t3rt_log_kind_event_sut_reply_received_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_reply_received_c
#define t3rt_log_kind_event_reply_found_c \
 (t3rt_log_message_kind_t)t3rt_log_event_reply_found_c
#define t3rt_log_kind_event_sut_reply_found_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_reply_found_c
 
#define t3rt_log_kind_event_exception_raised_c \
 (t3rt_log_message_kind_t)t3rt_log_event_exception_raised_c
#define t3rt_log_kind_event_sut_exception_raised_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_exception_raised_c
#define t3rt_log_kind_event_raise_failed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_raise_failed_c
#define t3rt_log_kind_event_sut_raise_failed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_raise_failed_c

#define t3rt_log_kind_event_exception_raised_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_exception_raised_mc_c
#define t3rt_log_kind_event_sut_exception_raised_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_exception_raised_mc_c
#define t3rt_log_kind_event_raise_failed_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_raise_failed_mc_c
#define t3rt_log_kind_event_sut_raise_failed_mc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_raise_failed_mc_c

#define t3rt_log_kind_event_exception_raised_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_exception_raised_bc_c
#define t3rt_log_kind_event_sut_exception_raised_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_exception_raised_bc_c
#define t3rt_log_kind_event_raise_failed_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_raise_failed_bc_c
#define t3rt_log_kind_event_sut_raise_failed_bc_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_raise_failed_bc_c
 
#define t3rt_log_kind_event_exception_detected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_exception_detected_c
#define t3rt_log_kind_event_sut_exception_detected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_exception_detected_c
#define t3rt_log_kind_event_exception_caught_c \
 (t3rt_log_message_kind_t)t3rt_log_event_exception_caught_c
#define t3rt_log_kind_event_sut_exception_caught_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_exception_caught_c
#define t3rt_log_kind_event_exception_found_c \
 (t3rt_log_message_kind_t)t3rt_log_event_exception_found_c
#define t3rt_log_kind_event_sut_exception_found_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_exception_found_c
 
#define t3rt_log_kind_event_timeout_exception_detected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_timeout_exception_detected_c
#define t3rt_log_kind_event_sut_timeout_exception_detected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_timeout_exception_detected_c
#define t3rt_log_kind_event_timeout_exception_caught_c \
 (t3rt_log_message_kind_t)t3rt_log_event_timeout_exception_caught_c
#define t3rt_log_kind_event_sut_timeout_exception_caught_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_timeout_exception_caught_c
#define t3rt_log_kind_event_timeout_exception_found_c \
 (t3rt_log_message_kind_t)t3rt_log_event_timeout_exception_found_c
#define t3rt_log_kind_event_sut_timeout_exception_found_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sut_timeout_exception_found_c
 
#define t3rt_log_kind_event_timer_started_c \
 (t3rt_log_message_kind_t)t3rt_log_event_timer_started_c
#define t3rt_log_kind_event_timer_stopped_c \
 (t3rt_log_message_kind_t)t3rt_log_event_timer_stopped_c
#define t3rt_log_kind_event_timer_read_c \
 (t3rt_log_message_kind_t)t3rt_log_event_timer_read_c
#define t3rt_log_kind_event_timer_is_running_c \
 (t3rt_log_message_kind_t)t3rt_log_event_timer_is_running_c
#define t3rt_log_kind_event_timeout_detected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_timeout_detected_c
#define t3rt_log_kind_event_timeout_received_c \
 (t3rt_log_message_kind_t)t3rt_log_event_timeout_received_c
#define t3rt_log_kind_event_timeout_mismatch_c \
 (t3rt_log_message_kind_t)t3rt_log_event_timeout_mismatch_c
#define t3rt_log_kind_event_component_created_c \
 (t3rt_log_message_kind_t)t3rt_log_event_component_created_c
#define t3rt_log_kind_event_component_started_c \
 (t3rt_log_message_kind_t)t3rt_log_event_component_started_c
#define t3rt_log_kind_event_component_is_running_c \
 (t3rt_log_message_kind_t)t3rt_log_event_component_is_running_c
#define t3rt_log_kind_event_component_is_alive_c \
 (t3rt_log_message_kind_t)t3rt_log_event_component_is_alive_c
#define t3rt_log_kind_event_component_stopped_c \
 (t3rt_log_message_kind_t)t3rt_log_event_component_stopped_c
#define t3rt_log_kind_event_component_killed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_component_killed_c
#define t3rt_log_kind_event_component_terminated_c \
 (t3rt_log_message_kind_t)t3rt_log_event_component_terminated_c
#define t3rt_log_kind_event_done_check_failed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_done_check_failed_c
#define t3rt_log_kind_event_done_check_succeeded_c \
 (t3rt_log_message_kind_t)t3rt_log_event_done_check_succeeded_c
#define t3rt_log_kind_event_kill_check_failed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_kill_check_failed_c
#define t3rt_log_kind_event_kill_check_succeeded_c \
 (t3rt_log_message_kind_t)t3rt_log_event_kill_check_succeeded_c
#define t3rt_log_kind_event_port_connected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_port_connected_c
#define t3rt_log_kind_event_port_disconnected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_port_disconnected_c
#define t3rt_log_kind_event_port_mapped_c \
 (t3rt_log_message_kind_t)t3rt_log_event_port_mapped_c
#define t3rt_log_kind_event_port_unmapped_c \
 (t3rt_log_message_kind_t)t3rt_log_event_port_unmapped_c
#define t3rt_log_kind_event_port_enabled_c \
 (t3rt_log_message_kind_t)t3rt_log_event_port_enabled_c
#define t3rt_log_kind_event_port_disabled_c \
 (t3rt_log_message_kind_t)t3rt_log_event_port_disabled_c
#define t3rt_log_kind_event_port_halted_c \
 (t3rt_log_message_kind_t)t3rt_log_event_port_halted_c
#define t3rt_log_kind_event_port_cleared_c \
 (t3rt_log_message_kind_t)t3rt_log_event_port_cleared_c
#define t3rt_log_kind_event_scope_entered_c \
 (t3rt_log_message_kind_t)t3rt_log_event_scope_entered_c
#define t3rt_log_kind_event_scope_changed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_scope_changed_c
#define t3rt_log_kind_event_scope_left_c \
 (t3rt_log_message_kind_t)t3rt_log_event_scope_left_c
#define t3rt_log_kind_event_alternative_activated_c \
 (t3rt_log_message_kind_t)t3rt_log_event_alternative_activated_c
#define t3rt_log_kind_event_alternative_deactivated_c \
 (t3rt_log_message_kind_t)t3rt_log_event_alternative_deactivated_c
#define t3rt_log_kind_event_local_verdict_changed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_local_verdict_changed_c
#define t3rt_log_kind_event_local_verdict_queried_c \
 (t3rt_log_message_kind_t)t3rt_log_event_local_verdict_queried_c
#define t3rt_log_kind_event_variable_modified_c \
 (t3rt_log_message_kind_t)t3rt_log_event_variable_modified_c
#define t3rt_log_kind_event_template_match_failed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_template_match_failed_c

#define t3rt_log_kind_event_template_mismatch_c \
 (t3rt_log_message_kind_t) t3rt_log_event_template_mismatch_c
#define t3rt_log_kind_event_template_match_begin_c \
 (t3rt_log_message_kind_t) t3rt_log_event_template_match_begin_c
#define t3rt_log_kind_event_template_match_end_c \
 (t3rt_log_message_kind_t) t3rt_log_event_template_match_end_c

#define t3rt_port_kind_try_getcall \
 (t3rt_log_message_kind_t)t3rt_port_try_getcall
#define t3rt_log_kind_event_testcase_started_c \
 (t3rt_log_message_kind_t)t3rt_log_event_testcase_started_c
#define t3rt_log_kind_event_testcase_ended_c \
 (t3rt_log_message_kind_t)t3rt_log_event_testcase_ended_c
#define t3rt_log_kind_event_testcase_timed_out_c \
 (t3rt_log_message_kind_t)t3rt_log_event_testcase_timed_out_c
#define t3rt_log_kind_event_testcase_verdict_c \
 (t3rt_log_message_kind_t)t3rt_log_event_testcase_verdict_c
#define t3rt_log_kind_event_testcase_error_c \
 (t3rt_log_message_kind_t)t3rt_log_event_testcase_error_c
#define t3rt_log_kind_event_message_encoded_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_encoded_c
#define t3rt_log_kind_event_message_encode_failed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_encode_failed_c
#define t3rt_log_kind_event_message_decoded_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_decoded_c
#define t3rt_log_kind_event_message_decode_failed_c \
 (t3rt_log_message_kind_t)t3rt_log_event_message_decode_failed_c

#define t3rt_log_kind_event_info_message_c \
 (t3rt_log_message_kind_t)t3rt_log_event_info_message_c
#define t3rt_log_kind_event_warning_message_c \
 (t3rt_log_message_kind_t)t3rt_log_event_warning_message_c
#define t3rt_log_kind_event_error_message_c \
 (t3rt_log_message_kind_t)t3rt_log_event_error_message_c
#define t3rt_log_kind_event_debug_message_c \
 (t3rt_log_message_kind_t)t3rt_log_event_debug_message_c
#define t3rt_log_kind_event_ttcn3_message_c \
 (t3rt_log_message_kind_t)t3rt_log_event_ttcn3_message_c

#define t3rt_log_kind_event_alt_entered_c \
 (t3rt_log_message_kind_t)t3rt_log_event_alt_entered_c
#define t3rt_log_kind_event_alt_left_c \
 (t3rt_log_message_kind_t)t3rt_log_event_alt_left_c
#define t3rt_log_kind_event_alt_rejected_c \
 (t3rt_log_message_kind_t)t3rt_log_event_alt_rejected_c
#define t3rt_log_kind_event_alt_else_c \
 (t3rt_log_message_kind_t)t3rt_log_event_alt_else_c
#define t3rt_log_kind_event_alt_defaults_c \
 (t3rt_log_message_kind_t)t3rt_log_event_alt_defaults_c
#define t3rt_log_kind_event_alt_repeat_c \
 (t3rt_log_message_kind_t)t3rt_log_event_alt_repeat_c
#define t3rt_log_kind_event_alt_wait_c \
 (t3rt_log_message_kind_t)t3rt_log_event_alt_wait_c

#define t3rt_log_kind_event_sender_mismatch_c \
 (t3rt_log_message_kind_t)t3rt_log_event_sender_mismatch_c

#define t3rt_log_kind_event_function_call_c \
 (t3rt_log_message_kind_t)t3rt_log_event_function_call_c
#define t3rt_log_kind_event_external_function_call_c \
 (t3rt_log_message_kind_t)t3rt_log_event_external_function_call_c
#define t3rt_log_kind_event_altstep_call_c \
 (t3rt_log_message_kind_t)t3rt_log_event_altstep_call_c


#include "t3rts_binarystrings.h"
#include "t3rts_values_general.h"
#include "t3rts_context.h"

typedef enum t3rt__match_context_internal_t {
  MATCH_IN_UNKNOWN,
  MATCH_IN_MATCH,
  MATCH_IN_RECEIVE,
  MATCH_IN_SUT_RECEIVE,
  MATCH_IN_TRIGGER,
  MATCH_IN_SUT_TRIGGER,
  MATCH_IN_GETCALL,
  MATCH_IN_SUT_GETCALL,
  MATCH_IN_GETREPLY,
  MATCH_IN_SUT_GETREPLY,
  MATCH_IN_CATCH,
  MATCH_IN_SUT_CATCH
} t3rt__match_context_t;

typedef enum t3rt__sending_opkind_internal_t {
  TRANSMIT_UNICAST,
  TRANSMIT_MULTICAST,
  TRANSMIT_BROADCAST
} t3rt__sending_opkind_t;

/* Returns a textual representation of the log event kind. */
const char *
t3rt_log_event_kind_string(t3rt_log_event_kind_t event);


/* Message based logging. */


void
t3rt_log_extract_message_sent(t3rt_value_t params[],
                              const char          **local_port_name,
                              t3rt_binary_string_t *local_port_address,
                              t3rt_value_t         *template_message,
                              t3rt_value_t         *sent_message,
			                  t3rt_binary_string_t *encoded_msg,
                              unsigned long        *seq_no,
                              t3rt_binary_string_t *destination_component_address,
                              t3rt_binary_string_t *destination_port_address,
                              t3rt_context_t ctx);


void
t3rt_log_extract_message_sent_failed(t3rt_value_t params[],
                                     const char          **local_port_name,
                                     t3rt_binary_string_t *local_port_address,
                                     t3rt_value_t         *template_message,
                                     t3rt_value_t         *sent_message,
			                         t3rt_binary_string_t *encoded_msg,
                                     unsigned long        *seq_no,
                                     t3rt_binary_string_t *destination_component_address,
                                     t3rt_binary_string_t *destination_port_address,
                                     t3rt_boolean_t       *codec_status,
                                     t3rt_boolean_t       *communication_status,
                                     t3rt_context_t ctx);

void
t3rt_log_extract_message_sent_mc(t3rt_value_t params[],
                                 const char           **local_port_name,
                                 t3rt_binary_string_t  *local_port_address,
                                 t3rt_value_t          *template_message,
                                 t3rt_value_t          *sent_message,
			                     t3rt_binary_string_t  *encoded_msg,
                                 unsigned long         *seq_no,
                                 t3rt_binary_string_t **destination_component_address_list, /* NULL-terminated array */
                                 t3rt_binary_string_t **destination_port_address_list,      /* NULL-terminated array */
                                 t3rt_context_t ctx);

void
t3rt_log_extract_message_sent_failed_mc(t3rt_value_t params[],
                                        const char           **local_port_name,
                                        t3rt_binary_string_t  *local_port_address,
                                        t3rt_value_t          *template_message,
                                        t3rt_value_t          *sent_message,
			                            t3rt_binary_string_t  *encoded_msg,
                                        unsigned long         *seq_no,
                                        t3rt_binary_string_t **destination_component_address_list, /* NULL-terminated array */
                                        t3rt_binary_string_t **destination_port_address_list,      /* NULL-terminated array */
                                        t3rt_boolean_t        *codec_status,
                                        t3rt_boolean_t        *communication_status,
                                        t3rt_context_t ctx);

void
t3rt_log_extract_message_sent_bc(t3rt_value_t params[],
                                 const char          **local_port_name,
                                 t3rt_binary_string_t *local_port_address,
                                 t3rt_value_t         *template_message,
                                 t3rt_value_t         *sent_message,
			                     t3rt_binary_string_t *encoded_msg,
                                 unsigned long        *seq_no,
                                 t3rt_context_t ctx);

void
t3rt_log_extract_message_sent_failed_bc(t3rt_value_t params[],
                                        const char          **local_port_name,
                                        t3rt_binary_string_t *local_port_address,
                                        t3rt_value_t         *template_message,
                                        t3rt_value_t         *sent_message,
			                            t3rt_binary_string_t *encoded_msg,
                                        unsigned long        *seq_no,
                                        t3rt_boolean_t       *codec_status,
                                        t3rt_boolean_t       *communication_status,
                                        t3rt_context_t ctx);
                                     

void
t3rt_log_extract_message_detected(t3rt_value_t params[],
                                  const char          **local_port_name,
                                  t3rt_binary_string_t *local_port_address,
                                  t3rt_binary_string_t *detected_data,
                                  unsigned long        *seq_no,
                                  t3rt_binary_string_t *sender_address,
                                  t3rt_context_t ctx);


void
t3rt_log_extract_message_received(t3rt_value_t params[],
                                  const char          **local_port_name,
                                  t3rt_binary_string_t *local_port_address,
                                  t3rt_value_t         *template_value,
                                  t3rt_value_t         *received_value,
				                  t3rt_binary_string_t *encoded_msg,
                                  unsigned long        *seq_no,
                                  t3rt_binary_string_t *sender_address,
                                  t3rt_context_t ctx);

void
t3rt_log_extract_message_found(t3rt_value_t params[],
                               const char          **local_port_name,
                               t3rt_binary_string_t *local_port_address,
                               t3rt_value_t         *template_value,
                               t3rt_value_t         *received_value,
			                   t3rt_binary_string_t *encoded_msg,
                               unsigned long        *seq_no,
                               t3rt_binary_string_t *sender_address,
                               t3rt_context_t ctx);


void
t3rt_log_extract_message_discarded(t3rt_value_t params[],
                                   const char          **local_port_name,
                                   t3rt_binary_string_t *local_port_address,
                                   t3rt_value_t         *template_discarded,
                                   t3rt_value_t         *discarded_value,
				                   unsigned long        *seq_no,
                                   t3rt_binary_string_t *sender_address,
                                   t3rt_context_t ctx);


void
t3rt_log_extract_call_initiated(t3rt_value_t params[],
                                const char          **local_port_name,
                                t3rt_binary_string_t *local_port_address,
                                t3rt_value_t         *template_call,
                                t3rt_value_t         *call_value,
				                unsigned long        *seq_no,
                                t3rt_binary_string_t *destination_component_address,
                                t3rt_binary_string_t *destination_port_address,
                                t3rt_context_t ctx);


void
t3rt_log_extract_call_failed(t3rt_value_t params[],
                             const char          **local_port_name,
                             t3rt_binary_string_t *local_port_address,
                             t3rt_value_t         *template_call,
                             t3rt_value_t         *call_value,
                             unsigned long        *seq_no,
                             t3rt_binary_string_t *destination_component_address,
                             t3rt_binary_string_t *destination_port_address,
                             t3rt_boolean_t       *codec_status,
                             t3rt_boolean_t       *communication_status,
                             t3rt_context_t ctx);

void
t3rt_log_extract_call_initiated_mc(t3rt_value_t params[],
                                   const char           **local_port_name,
                                   t3rt_binary_string_t  *local_port_address,
                                   t3rt_value_t          *template_call,
                                   t3rt_value_t          *call_value,
			   	                   unsigned long         *seq_no,
                                   t3rt_binary_string_t **destination_component_address_list, /* NULL-terminated array */
                                   t3rt_binary_string_t **destination_port_address_list, /* NULL-terminated array */
                                   t3rt_context_t ctx);

void
t3rt_log_extract_call_failed_mc(t3rt_value_t params[],
                                const char           **local_port_name,
                                t3rt_binary_string_t  *local_port_address,
                                t3rt_value_t          *template_call,
                                t3rt_value_t          *call_value,
                                unsigned long         *seq_no,
                                t3rt_binary_string_t **destination_component_address_list, /* NULL-terminated array */
                                t3rt_binary_string_t **destination_port_address_list, /* NULL-terminated array */
                                t3rt_boolean_t        *codec_status,
                                t3rt_boolean_t        *communication_status,
                                t3rt_context_t ctx);
                                   
void
t3rt_log_extract_call_initiated_bc(t3rt_value_t params[],
                                   const char           **local_port_name,
                                   t3rt_binary_string_t  *local_port_address,
                                   t3rt_value_t          *template_call,
                                   t3rt_value_t          *call_value,
			   	                   unsigned long         *seq_no,
                                   t3rt_context_t ctx);

void
t3rt_log_extract_call_failed_bc(t3rt_value_t params[],
                                const char           **local_port_name,
                                t3rt_binary_string_t  *local_port_address,
                                t3rt_value_t          *template_call,
                                t3rt_value_t          *call_value,
                                unsigned long         *seq_no,
                                t3rt_boolean_t        *codec_status,
                                t3rt_boolean_t        *communication_status,
                                t3rt_context_t ctx);
                                   

void
t3rt_log_extract_call_timed_out(t3rt_value_t params[],
                                const char          **local_port_name,
                                t3rt_binary_string_t *local_port_address,
                                t3rt_context_t ctx);


void
t3rt_log_extract_call_detected(t3rt_value_t params[],
                               const char          **local_port_name,
                               t3rt_binary_string_t *local_port_address,
                               t3rt_binary_string_t *destination_component_address,
			                   unsigned long        *seq_no,
                               t3rt_context_t ctx);


void
t3rt_log_extract_call_received(t3rt_value_t params[],
                               const char          **local_port_name,
                               t3rt_binary_string_t *local_port_address,
                               t3rt_value_t         *template_value,
                               t3rt_value_t         *received_value,
			                   unsigned long        *seq_no,
                               t3rt_binary_string_t *destination_component_address,
                               t3rt_context_t ctx);

void
t3rt_log_extract_call_found(t3rt_value_t params[],
                            const char          **local_port_name,
                            t3rt_binary_string_t *local_port_address,
                            t3rt_value_t         *template_value,
                            t3rt_value_t         *received_value,
			                unsigned long        *seq_no,
                            t3rt_binary_string_t *destination_component_address,
                            t3rt_context_t ctx);


void
t3rt_log_extract_reply_sent(t3rt_value_t params[],
                            const char          **local_port_name,
                            t3rt_binary_string_t *local_port_address,
                            t3rt_value_t         *template_reply,
                            t3rt_value_t         *reply_value,
                            t3rt_value_t         *template_return,
                            t3rt_value_t         *return_value,
			                unsigned long        *seq_no,
                            t3rt_binary_string_t *destination_component_address,
                            t3rt_binary_string_t *destination_port_address,
                            t3rt_context_t ctx);


void
t3rt_log_extract_reply_failed(t3rt_value_t params[],
                              const char          **local_port_name,
                              t3rt_binary_string_t *local_port_address,
                              t3rt_value_t         *template_reply,
                              t3rt_value_t         *reply_value,
                              t3rt_value_t         *template_return,
                              t3rt_value_t         *return_value,
		  	                  unsigned long        *seq_no,
                              t3rt_binary_string_t *destination_component_address,
                              t3rt_binary_string_t *destination_port_address,
                              t3rt_boolean_t       *codec_status,
                              t3rt_boolean_t       *communication_status,
                              t3rt_context_t ctx);

void
t3rt_log_extract_reply_sent_mc(t3rt_value_t params[],
                               const char           **local_port_name,
                               t3rt_binary_string_t  *local_port_address,
                               t3rt_value_t          *template_reply,
                               t3rt_value_t          *reply_value,
                               t3rt_value_t          *template_return,
                               t3rt_value_t          *return_value,
			                   unsigned long         *seq_no,
                               t3rt_binary_string_t **destination_component_address_list, /* NULL-terminated array */
                               t3rt_binary_string_t **destination_port_address_list, /* NULL-terminated array */
                               t3rt_context_t ctx);

void
t3rt_log_extract_reply_failed_mc(t3rt_value_t params[],
                                 const char           **local_port_name,
                                 t3rt_binary_string_t  *local_port_address,
                                 t3rt_value_t          *template_reply,
                                 t3rt_value_t          *reply_value,
                                 t3rt_value_t          *template_return,
                                 t3rt_value_t          *return_value,
		  	                     unsigned long         *seq_no,
                                 t3rt_binary_string_t **destination_component_address_list, /* NULL-terminated array */
                                 t3rt_binary_string_t **destination_port_address_list, /* NULL-terminated array */
                                 t3rt_boolean_t        *codec_status,
                                 t3rt_boolean_t        *communication_status,
                                 t3rt_context_t ctx);

void
t3rt_log_extract_reply_sent_bc(t3rt_value_t params[],
                               const char           **local_port_name,
                               t3rt_binary_string_t  *local_port_address,
                               t3rt_value_t          *template_reply,
                               t3rt_value_t          *reply_value,
                               t3rt_value_t          *template_return,
                               t3rt_value_t          *return_value,
			                   unsigned long         *seq_no,
                               t3rt_context_t ctx);

void
t3rt_log_extract_reply_failed_bc(t3rt_value_t params[],
                                 const char           **local_port_name,
                                 t3rt_binary_string_t  *local_port_address,
                                 t3rt_value_t          *template_reply,
                                 t3rt_value_t          *reply_value,
                                 t3rt_value_t          *template_return,
                                 t3rt_value_t          *return_value,
		  	                     unsigned long         *seq_no,
                                 t3rt_boolean_t        *codec_status,
                                 t3rt_boolean_t        *communication_status,
                                 t3rt_context_t ctx);
                                 

void
t3rt_log_extract_reply_detected(t3rt_value_t params[],
                                const char          **local_port_name,
                                t3rt_binary_string_t *local_port_address,
                                t3rt_binary_string_t *destination_component_address,
				                unsigned long        *seq_no,
                                t3rt_context_t ctx);


void
t3rt_log_extract_reply_received(t3rt_value_t params[],
                                const char          **local_port_name,
                                t3rt_binary_string_t *local_port_address,
                                t3rt_value_t         *template_value,
                                t3rt_value_t         *received_value,
                                unsigned long        *seq_no,
                                t3rt_binary_string_t *destination_component_address,
                                t3rt_context_t ctx);

void
t3rt_log_extract_reply_found(t3rt_value_t params[],
                             const char          **local_port_name,
                             t3rt_binary_string_t *local_port_address,
                             t3rt_value_t         *template_value,
                             t3rt_value_t         *received_value,
                             unsigned long        *seq_no,
                             t3rt_binary_string_t *destination_component_address,
                             t3rt_context_t ctx);



void
t3rt_log_extract_exception_raised(t3rt_value_t params[],
                                  const char          **local_port_name,
                                  t3rt_binary_string_t *local_port_address,
                                  t3rt_value_t         *template_exception,
                                  t3rt_value_t         *exception_value,
                                  unsigned long        *seq_no,
                                  t3rt_binary_string_t *destination_component_address,
                                  t3rt_binary_string_t *destination_port_address,
                                  t3rt_context_t ctx);


void
t3rt_log_extract_raise_failed(t3rt_value_t params[],
                              const char          **local_port_name,
                              t3rt_binary_string_t *local_port_address,
                              t3rt_value_t         *template_exception,
                              t3rt_value_t         *exception_value,
                              unsigned long        *seq_no,
                              t3rt_binary_string_t *destination_component_address,
                              t3rt_binary_string_t *destination_port_address,
                              t3rt_boolean_t       *codec_status,
                              t3rt_boolean_t       *communication_status,
                              t3rt_context_t ctx);

void
t3rt_log_extract_exception_raised_mc(t3rt_value_t params[],
                                     const char           **local_port_name,
                                     t3rt_binary_string_t  *local_port_address,
                                     t3rt_value_t          *template_exception,
                                     t3rt_value_t          *exception_value,
                                     unsigned long         *seq_no,
                                     t3rt_binary_string_t **destination_component_address_list, /* NULL-terminated array */
                                     t3rt_binary_string_t **destination_port_address_list, /* NULL-terminated array */
                                     t3rt_context_t ctx);

void
t3rt_log_extract_raise_failed_mc(t3rt_value_t params[],
                                 const char           **local_port_name,
                                 t3rt_binary_string_t  *local_port_address,
                                 t3rt_value_t          *template_exception,
                                 t3rt_value_t          *exception_value,
                                 unsigned long         *seq_no,
                                 t3rt_binary_string_t **destination_component_address_list, /* NULL-terminated array */
                                 t3rt_binary_string_t **destination_port_address_list, /* NULL-terminated array */
                                 t3rt_boolean_t        *codec_status,
                                 t3rt_boolean_t        *communication_status,
                                 t3rt_context_t ctx);

void
t3rt_log_extract_exception_raised_bc(t3rt_value_t params[],
                                     const char           **local_port_name,
                                     t3rt_binary_string_t  *local_port_address,
                                     t3rt_value_t          *template_exception,
                                     t3rt_value_t          *exception_value,
                                     unsigned long         *seq_no,
                                     t3rt_context_t ctx);

void
t3rt_log_extract_raise_failed_bc(t3rt_value_t params[],
                                 const char           **local_port_name,
                                 t3rt_binary_string_t  *local_port_address,
                                 t3rt_value_t          *template_exception,
                                 t3rt_value_t          *exception_value,
                                 unsigned long         *seq_no,
                                 t3rt_boolean_t        *codec_status,
                                 t3rt_boolean_t        *communication_status,
                                 t3rt_context_t ctx);
                                  

void
t3rt_log_extract_exception_detected(t3rt_value_t params[],
                                    const char          **local_port_name,
                                    t3rt_binary_string_t *local_port_address,
                                    t3rt_binary_string_t *detected_data,
                                    unsigned long        *seq_no,
                                    t3rt_binary_string_t *destination_component_address,
                                    t3rt_context_t ctx);


void
t3rt_log_extract_exception_caught(t3rt_value_t params[],
                                  const char          **local_port_name,
                                  t3rt_binary_string_t *local_port_address,
                                  t3rt_value_t         *template_value,
                                  t3rt_value_t         *caught_value,
                                  unsigned long        *seq_no,
                                  t3rt_binary_string_t *destination_component_address,
                                  t3rt_context_t ctx);

void
t3rt_log_extract_exception_found(t3rt_value_t params[],
                                 const char          **local_port_name,
                                 t3rt_binary_string_t *local_port_address,
                                 t3rt_value_t         *template_value,
                                 t3rt_value_t         *caught_value,
                                 unsigned long        *seq_no,
                                 t3rt_binary_string_t *destination_component_address,
                                 t3rt_context_t ctx);


void
t3rt_log_extract_timeout_exception_detected(t3rt_value_t params[],
                                            const char          **local_port_name,
                                            t3rt_binary_string_t *local_port_address,
                                            t3rt_context_t ctx);


void
t3rt_log_extract_timeout_exception_caught(t3rt_value_t params[],
                                          const char          **local_port_name,
                                          t3rt_binary_string_t *local_port_address,
                                          t3rt_binary_string_t *destination_component_address,
                                          t3rt_context_t ctx);

void
t3rt_log_extract_timeout_exception_found(t3rt_value_t params[],
                                         const char          **local_port_name,
                                         t3rt_binary_string_t *local_port_address,
                                         t3rt_binary_string_t *destination_component_address,
                                         t3rt_context_t ctx);


void
t3rt_log_extract_sut_action(t3rt_value_t params[],
                            t3rt_value_t         *string_or_template_argument,
                            t3rt_context_t ctx);


/* Timer logging */


void
t3rt_log_extract_timer_started(t3rt_value_t   params[],
                               const char   **timer_name,
                               unsigned long *unique_id,
                               double        *duration, 
                               double        *default_duration,
                               t3rt_timer_handle_t  *handle,
                               t3rt_context_t ctx);


void
t3rt_log_extract_timer_stopped(t3rt_value_t   params[],
                               const char   **timer_name,
                               unsigned long *unique_id,
                               t3rt_context_t ctx);


void
t3rt_log_extract_timer_read (t3rt_value_t   params[],
                             const char          **timer_name,
                             unsigned long        *unique_id,
                             double               *elapsed_time,
                             t3rt_timer_state_t   *state,
                             double               *duration, 
                             double               *default_duration,
                             t3rt_timer_handle_t  *handle,
                             t3rt_context_t ctx);



void
t3rt_log_extract_timer_is_running (t3rt_value_t   params[],
                                   const char          **timer_name,
                                   unsigned long        *unique_id,
                                   double               *elapsed_time,
                                   t3rt_timer_state_t   *state,
                                   double               *duration, 
                                   double               *default_duration,
                                   t3rt_timer_handle_t  *handle,
                                   t3rt_context_t ctx);



void
t3rt_log_extract_timeout_detected(t3rt_value_t   params[],
                                  const char   **timer_name,
                                  unsigned long *unique_id,
                                  t3rt_context_t ctx);



void
t3rt_log_extract_timeout_received(t3rt_value_t   params[],
                                  const char   **timer_name,
                                  unsigned long *unique_id,
                                  t3rt_context_t ctx);



void
t3rt_log_extract_timeout_mismatch(t3rt_value_t   params[],
                                  const char   **timer_name,
                                  unsigned long *unique_id,
                                  t3rt_context_t ctx);

/* Component and port logging functions */


void
t3rt_log_extract_component_created(t3rt_value_t params[],
                                   const char          **component_name, 
                                   t3rt_binary_string_t *component_address,
                                   t3rt_context_t ctx);


void
t3rt_log_extract_component_started(t3rt_value_t params[],
                                   t3rt_binary_string_t  *component_address, 
                                   const char           **module, 
                                   const char           **function, 
                                   t3rt_context_t ctx);

                                     
void
t3rt_log_extract_component_is_running(t3rt_value_t params[],
                                      t3rt_binary_string_t  *component_address, 
                                      t3rt_boolean_t        *is_running,
                                      t3rt_context_t ctx);

void
t3rt_log_extract_component_is_alive(t3rt_value_t params[],
                                    t3rt_binary_string_t  *component_address, 
                                    t3rt_boolean_t        *is_alive,
                                    t3rt_context_t ctx);
                                      

void
t3rt_log_extract_component_stopped(t3rt_value_t params[],
                                   t3rt_binary_string_t  *component_address, 
                                   t3rt_context_t ctx);

void
t3rt_log_extract_component_killed(t3rt_value_t params[],
                                  t3rt_binary_string_t  *component_address, 
                                  t3rt_context_t ctx);
                                   

void
t3rt_log_extract_done_check_failed(t3rt_value_t params[],
                                   t3rt_binary_string_t  *component_address, 
                                   t3rt_context_t ctx);

void
t3rt_log_extract_kill_check_failed(t3rt_value_t params[],
                                   t3rt_binary_string_t  *component_address, 
                                   t3rt_context_t ctx);
                                   

void
t3rt_log_extract_done_check_succeeded(t3rt_value_t params[],
                                      t3rt_binary_string_t  *component_address, 
                                      t3rt_context_t ctx);

void
t3rt_log_extract_kill_check_succeeded(t3rt_value_t params[],
                                      t3rt_binary_string_t  *component_address, 
                                      t3rt_context_t ctx);
                                      

void
t3rt_log_extract_port_connected(t3rt_value_t params[],
                                t3rt_binary_string_t *component_address1,
                                const char          **port_name1,
                                t3rt_binary_string_t *port_address1,
                                t3rt_binary_string_t *component_address2,
                                const char          **port_name2,
                                t3rt_binary_string_t *port_address2,
                                t3rt_context_t ctx);



void
t3rt_log_extract_port_disconnected(t3rt_value_t params[],
                                   t3rt_binary_string_t *component_address1,
                                   const char          **port_name1,
                                   t3rt_binary_string_t *port_address1,
                                   t3rt_binary_string_t *component_address2,
                                   const char          **port_name2,
                                   t3rt_binary_string_t *port_address2,
                                   t3rt_context_t ctx);


void
t3rt_log_extract_port_mapped(t3rt_value_t           params[],
                             t3rt_binary_string_t  *component_address,
                             const char           **local_port_name,
                             const char           **system_port_name, 
                             t3rt_context_t ctx);


void
t3rt_log_extract_port_unmapped(t3rt_value_t           params[],
                               t3rt_binary_string_t  *component_address,
                               const char           **local_port_name,
                               const char           **system_port_name, 
                               t3rt_context_t ctx);


void
t3rt_log_extract_port_enabled(t3rt_value_t           params[],
                              const char           **local_port_name,
                              t3rt_binary_string_t  *local_port_address,
                              t3rt_context_t ctx);


void
t3rt_log_extract_port_disabled(t3rt_value_t           params[],
                               const char           **local_port_name,
                               t3rt_binary_string_t  *local_port_address,
                               t3rt_context_t ctx);


void
t3rt_log_extract_port_halted(t3rt_value_t           params[],
                             const char           **local_port_name,
                             t3rt_binary_string_t  *local_port_address,
                             t3rt_context_t ctx);
                               

void
t3rt_log_extract_port_cleared(t3rt_value_t           params[],
                              const char           **local_port_name,
                              t3rt_binary_string_t  *local_port_address,
                              t3rt_context_t ctx);

/* Miscellaneous logging */


void
t3rt_log_extract_local_verdict_changed(t3rt_value_t params[],
                                       t3rt_verdict_t *prev_verdict, 
                                       t3rt_verdict_t *attempted_verdict, 
                                       const char    **verdict_reason,
                                       t3rt_context_t ctx);


void
t3rt_log_extract_local_verdict_queried(t3rt_value_t params[],
                                       t3rt_verdict_t *verdict, 
                                       t3rt_context_t ctx);
                                       

void
t3rt_log_extract_template_match_failed(t3rt_value_t params[],
                                       t3rt_value_t *template_value, 
                                       t3rt_value_t *unmatched_value, 
                                       t3rt_context_t ctx);

void /* For use in set/record templates: */
t3rt_log_template_mismatch_by_name_event(const char* field_name,
                                         t3rt_value_t unmatched_value,
                                         t3rt_value_t reference_value,
                                         const char * reference_value_descr,
                                         t3rt_context_t ctx);

void /* For use in setof/recordof templates: */
t3rt_log_template_mismatch_by_index_event(unsigned long item_index,
                                          t3rt_value_t unmatched_value,
                                          t3rt_value_t reference_value,
                                          const char * reference_value_descr,
                                          t3rt_context_t ctx);

void /* For use in non-structured templates: */
t3rt_log_template_mismatch_event(t3rt_value_t unmatched_value,
                                 t3rt_value_t reference_value,
                                 const char * reference_value_descr,
                                 t3rt_context_t ctx);

void
t3rt_log_extract_template_mismatch(t3rt_value_t params[],
                                   t3rt_value_t * field_or_item_specifier,
                                   t3rt_value_t * unmatched_value,
                                   t3rt_value_t * reference_value,
                                   const char ** reference_value_descr,
                                   t3rt_context_t ctx);

void
t3rt_log_extract_template_match_begin(t3rt_value_t params[],
                                      t3rt_value_t * unmatched_value,
                                      t3rt_value_t * reference_value,
                                      t3rt_context_t ctx);
void
t3rt_log_extract_template_match_end(t3rt_value_t params[], 
                                    t3rt_boolean_t *status, 
                                    t3rt_context_t ctx);


void
t3rt_log_extract_testcase_started(t3rt_value_t     params[],
                                  const char     **module_name, 
                                  const char     **testcase_name, 
								  double          *timeout,
                                  t3rt_context_t   ctx);


void
t3rt_log_extract_testcase_ended(t3rt_value_t     params[],
                                const char     **module_name, 
                                const char     **testcase_name, 
                                t3rt_verdict_t  *verdict, 
                                const char     **verdict_reason, 
                                t3rt_context_t   ctx);


void
t3rt_log_extract_testcase_timed_out(t3rt_value_t     params[],
				    const char     **module_name, 
				    const char     **testcase_name, 
				    double          *timeout,
				    t3rt_context_t   ctx);


void
t3rt_log_extract_testcase_error(t3rt_value_t     params[],
				const char     **module_name, 
				const char     **scope_name, 
				const char     **error_msg,
				t3rt_context_t   ctx);


void
t3rt_log_extract_test_case_verdict(t3rt_value_t     params[],
                                   const char     **testcase_name, 
                                   t3rt_verdict_t  *verdict, 
                                   const char     **verdict_reason, 
                                   t3rt_context_t   ctx);

void
t3rt_log_variable_modified_event(t3rt_value_t new_value, 
                                 t3rt_context_t ctx);

void
t3rt_log_element_modified_event(t3rt_value_t new_value, 
                                unsigned long element_index,
                                t3rt_context_t ctx);

void
t3rt_log_extract_variable_modified(t3rt_value_t params[], 
                                   t3rt_value_t *value, 
                                   t3rt_context_t ctx);


void
t3rt_log_extract_scope_entered(t3rt_value_t params[],
                               const char            **scope_name, 
                               t3rt_scope_kind_t  *kind,
                               t3rt_context_t ctx);


void
t3rt_log_extract_scope_changed(t3rt_value_t params[],
                               unsigned long  *line_number, 
                               t3rt_context_t ctx);
                               

void
t3rt_log_extract_scope_left(t3rt_value_t params[],
                            const char         **scope_name, 
                            t3rt_scope_kind_t   *scope_kind,
                            t3rt_context_t ctx);

                            

void
t3rt_log_extract_alternative_activated_event(t3rt_value_t params[],
					     const char **module_name,
					     const char **altstep_name,
					     t3rt_value_t *default_reference,
					     t3rt_context_t ctx);


void
t3rt_log_extract_alternative_deactivated_event(t3rt_value_t params[],
					       t3rt_value_t *default_reference,
					       t3rt_context_t ctx);


void
t3rt_log_extract_message_decoded(t3rt_value_t params[],
                                 t3rt_binary_string_t *     encoded_data,
                                 t3rt_value_t *             decoded_value,
                                 t3rt_codecs_strategy_t *    strategy,
                                 t3rt_context_t ctx);


void
t3rt_log_extract_message_decode_failed(t3rt_value_t params[],
                                       t3rt_binary_string_t * encoded_data,
                                       t3rt_codecs_strategy_t *  strategy,
                                       t3rt_context_t ctx);


void
t3rt_log_extract_message_encoded(t3rt_value_t params[],
                                 t3rt_value_t *             encoded_value,
                                 t3rt_binary_string_t *     encoded_data,
                                 t3rt_codecs_strategy_t *   strategy,
                                 t3rt_context_t ctx);


void
t3rt_log_extract_message_encode_failed(t3rt_value_t params[],
                                       t3rt_value_t * value,
                                       t3rt_codecs_strategy_t * strategy,
                                       t3rt_context_t ctx);


/* Information messages. */


void
t3rt_log_extract_text_message_string(t3rt_value_t   params[],
                                     const char**   text,
                                     t3rt_context_t ctx);


void
t3rt_log_extract_text_message_widestring(t3rt_value_t        params[],
                                         t3rt_wide_string_t* text,
                                         t3rt_context_t      ctx);


/* Alt statement events */

void 
t3rt_log_alt_entered_event(t3rt_context_t ctx);

void
t3rt_log_alt_left_event(t3rt_context_t ctx);

void
t3rt_log_alt_rejected_event(t3rt_context_t ctx);

void
t3rt_log_alt_else_event(t3rt_context_t ctx);

void
t3rt_log_alt_defaults_event(t3rt_context_t ctx);

void
t3rt_log_alt_repeat_event(t3rt_context_t ctx);

void
t3rt_log_alt_wait_event(t3rt_context_t ctx);


/* Sender mismatch in receive-like operation */


void
t3rt_log_extract_sender_mismatch(t3rt_value_t params[],
				 t3rt_value_t         *port,
				 t3rt_binary_string_t *actual_sender,
				 t3rt_binary_string_t *expected_sender,
				 unsigned long *seq_no,
				 t3rt_context_t ctx);

/* Function and altstep invokations */

 
void
t3rt_log_extract_function_call(t3rt_value_t   params[],
			                   const char   **function_name,
		                       t3rt_value_t  *signature_value,
			                   t3rt_context_t ctx);

void
t3rt_log_extract_external_function_call(t3rt_value_t   params[],
			                            const char   **function_name,
		                                t3rt_value_t  *signature_value,
			                            t3rt_context_t ctx);

void
t3rt_log_extract_altstep_call(t3rt_value_t    params[],
			                  const char    **altstep_name,
		                      t3rt_value_t   *signature_value,
			                  t3rt_context_t  ctx);

#ifdef __cplusplus
}
#endif
			       
#endif

/* End of File */

