/*************************************************************
Generated for IBM Rational Systems Tester 3.3.0.2.17499 at Tue Apr 27 05:07:51 PM MEST 2010
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2010.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/
/*---------------------------------------------------------------------------
 * File Name: t3ud.h
 */


#ifndef __t3ud_h
#define __t3ud_h

#ifdef __cplusplus
extern "C" {
#endif

#include "t3rts_context.h"
#include "t3rts_values_general.h"



/*
 * Registers user-provided codecs
 */

void
t3ud_register_codecs (int argc, char * argv [], t3rt_context_t ctx);



/*
 * Registers user-provided log mechanisms
 */

void
t3ud_register_log_mechanisms (int argc, char * argv []);



/*
 * Retreives any environment information and stores this in RTconf
 */
 
void
t3ud_retrieve_configuration (t3rt_context_t ctx);



/*
 * Reads the given test suite parameter for the given module and stores 
 * it in the value container
 */

t3rt_boolean_t
t3ud_read_module_param (const char * module_name,
                        const char * param_name, 
                        t3rt_value_t value, 
                        t3rt_context_t ctx);

/*
 * Writes user-provided ASCII-based timestamp to the provided binary string.
 *
 * Example:
 * struct timeb timebuffer;
 * char *timeline;
 *
 * ftime( &timebuffer );
 * timeline = ctime( & ( timebuffer.time ) );
 * t3rt_binary_string_append_nbytes(timestamp, timeline, strlen(timeline)+1, ctx);
 */

void
t3ud_make_timestamp (t3rt_binary_string_t timestamp,
                     t3rt_context_t ctx);

#ifdef __cplusplus
}
#endif

#endif

/* End of File */

