/*************************************************************
Generated for IBM Rational Systems Tester 3.3.0.2.17499 at Tue Apr 27 05:07:51 PM MEST 2010
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2010.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/
/*---------------------------------------------------------------------------
 * File Name: tci_templates.h
 *
 * Description:
 *      This file declares TCI functions used to process templates
 */
 
#ifndef __tci_templates_h
#define __tci_templates_h

#ifdef __cplusplus
extern "C" {
#endif

#include "tci_conditional.h"

/***************************************************************
*   Generic TCI Value and Nonvalue Template operations
***************************************************************/

/* tciIsOmit
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns true if the template is an omit template.
*/

unsigned char T3TCI(tciIsOmitValueTemplate) (IDL_ATTRIB(in) TciValueTemplate inst);

/* tciIsAny
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns true if the template is an any template.
*/

unsigned char T3TCI(tciIsAnyValueTemplate) (IDL_ATTRIB(in) TciValueTemplate inst);

/* tciIsAnyOrOmit
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns true if the template is an any or omit template.
*/

unsigned char T3TCI(tciIsAnyOrOmitValueTemplate) (IDL_ATTRIB(in) TciValueTemplate inst);

/* tciGetTemplateDef
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns the definition of that template.
*/

String T3TCI(tciGetValueTemplateDef) (IDL_ATTRIB(in) TciValueTemplate inst);

/* tciIsAny
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns true if the template is an any template.
*/

unsigned char T3TCI(tciIsAnyNonValueTemplate) (IDL_ATTRIB(in) TciNonValueTemplate inst);

/* tciIsAll
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns true if the template is an all template.
*/

unsigned char T3TCI(tciIsAllNonValueTemplate) (IDL_ATTRIB(in) TciNonValueTemplate inst);

/* tciGetTemplateDef
 * Note: name changed to preserve globally unique names 
 *       for ValueTemplate and NonValueTemplate abstract types
 *
 * Returns the definition of that template.
*/

String T3TCI(tciGetNonValueTemplateDef) (IDL_ATTRIB(in) TciNonValueTemplate inst);

#ifdef __cplusplus
}
#endif
								
#endif
